Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162648 - Bad: system-config-network does not write out dhcp settings
Summary: Bad: system-config-network does not write out dhcp settings
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 162902
TreeView+ depends on / blocked
 
Reported: 2005-07-07 07:46 UTC by Amadeus W. M.
Modified: 2008-02-17 22:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-17 22:02:30 UTC


Attachments (Terms of Use)

Description Amadeus W. M. 2005-07-07 07:46:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
system-config-network does not write out the proper configuration for dhcp in ifcfg-eth0, but rather keeps the static IP configuration. Consequently, the network connection can't be established. 

Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1

How reproducible:
Always

Steps to Reproduce:
1. In system-config-network, give eth0 a static IP. Save the settings, then stop/start the network. 
2. Back to system-config-network, choose dhcp to get the IP information. Save, stop/start network.
3. Look at /etc/sysconfig/network-scripts/ifcfg-eth0. It's unchanged from the static IP configuration.

  

Actual Results:  /etc/sysconfig/network-scripts/ifcfg-eth0 is unchanged from the static IP configuration. Other files in networking as well. 



Expected Results:  ifcfg-eth0 should have contained the dhcp settings, like so:

DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:03:6D:13:71:91
ONBOOT=yes
TYPE=Ethernet
DHCP_HOSTNAME=phoenix



Additional info:

Strangely, if dhcp is chosen in system-config-network, the network card still gets an IP from the ISP, even with the static IP config in ifcfg-eth0 (erroneously written out by system-config-network), but there is no default gateway in the routing table. If the correct gateway is added manually, i.e.

route add default gw xx.xx.xx.xx eth0 

then everything works fine. 

This is not a fix for the network gui though.

Comment 1 Amadeus W. M. 2005-07-10 04:54:46 UTC
If I reboot with enforcing=0 everything seems fine. Before that, I had selinux
on permissive. I did upgrade my system, and I saw some selinux update. I might
be wrong, but the problems might have started to manifest after the upgrade. At
any rate, disabling selinux fixes it, so there's some interaction between gnome
and selinux that produces the bug.


Comment 2 Christian Iseli 2007-01-20 00:23:33 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 petrosyan 2008-02-17 22:02:30 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.